Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.phonon
Enum AbstractAddon.NavigationCommand

    java.lang.Object
      java.lang.Enum<AbstractAddon.NavigationCommand>
          com.trolltech.qt.phonon.AbstractAddon.NavigationCommand

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<AbstractAddon.NavigationCommand>

Enclosing class:
  AbstractAddon

    public static enum AbstractAddon.NavigationCommand

extends java.lang.Enum<AbstractAddon.NavigationCommand>
implements QtEnumerator

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Enum Constant Summary
`Menu1Button`

Method Summary
`static AbstractAddon.NavigationCommand` | `resolve(int value)` This method is internal to Qt Jambi.
`int` | `value()` This method is internal to Qt Jambi.
`static AbstractAddon.NavigationCommand` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AbstractAddon.NavigationCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Menu1Button

    public static final AbstractAddon.NavigationCommand Menu1Button

Method Detail

### values

    public static AbstractAddon.NavigationCommand[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractAddon.NavigationCommand c : AbstractAddon.NavigationCommand.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractAddon.NavigationCommand valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public int value()

  This method is internal to Qt Jambi.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static AbstractAddon.NavigationCommand resolve(int value)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD